#ifndef SHT15_H
#define SHT15_H 

#define SHT_SCK 			5
#define SHT_SDA 			4

#define CHECK_TEMP 			0x03
#define CHECK_HUMD 			0x05
#define CHECK_STAT 			0x07
#define WRITE_STAT 			0x06

//1 = output, 0 = input
//DDRC = 0b11111110; //PC0 = DRDY, PC4 = SDA, PC5 = SCL
#define WRITE_sda() DDRC = DDRC | 0b00010000 //SDA must be output when writing
#define READ_sda()  DDRC = DDRC & 0b11101111 //SDA must be input when reading - don't forget the resistor on SDA!!

uint8_t sht15_read_byte(void);
void sht15_start(void);
void sht15_send_byte(uint8_t sht15_command);

char sht15_read(float *temperature_o, float * humidity_o);
void sht15_init(void);

#endif
