#ifndef I2C_H
#define I2C_H

#include <avr/io.h>	
#include "defines.h"
#include "delay.h"

#define I2CM_QUIT            1
#define I2CM_CONTINUE        0

// define default values
#define I2CM_DELAY		50
#define I2CM_SDA		2
#define I2CM_SCL		3
#define	I2CM_PORT_SDA	PORTC
#define	I2CM_PIN_SDA	PINC
#define	I2CM_PORT_SCL	PORTC
#define	I2CM_DDR_SCL	DDRC
#define	I2CM_DDR_SDA	DDRC


// definition of macros for i2c atomic operations
#define DLY         delay(I2CM_DELAY);
#define	SCL_1		clr(I2CM_DDR_SCL, I2CM_SCL);
#define	SCL_0		set(I2CM_DDR_SCL, I2CM_SCL);
#define	SDA_1		clr(I2CM_DDR_SDA, I2CM_SDA);
#define	SDA_0		set(I2CM_DDR_SDA, I2CM_SDA);
#define	RELEASE_SDA	clr(I2CM_DDR_SDA, I2CM_SDA);

void i2c_init(void);
void i2c_start(void);
void i2c_stop(void);
unsigned char i2c_send(unsigned char data);
unsigned char i2c_receive(unsigned char end);

#endif
